플랜 분석
가장 빠른 은퇴
필요한 권한: plans:read
GET
/
v1
/
plans
/
{id}
/
optimize
/
early-retirement
가장 빠른 은퇴
curl --request GET \
--url https://api.morrowly.app/v1/plans/{id}/optimize/early-retirement \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.morrowly.app/v1/plans/{id}/optimize/early-retirement"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.morrowly.app/v1/plans/{id}/optimize/early-retirement', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"best": {
"age": 123,
"choice": {
"harvestGains": true,
"homePension": {
"age": 123,
"assetId": "<string>"
},
"pensionContributions": {},
"pensionStartAge": 123,
"pensionYears": 123,
"prepayDebt": true,
"publicPensionShift": 123,
"withdrawalOrder": "PROPORTIONAL"
},
"month": "<string>",
"netWorth": 123
},
"combinations": 123,
"current": {
"age": 123,
"choice": {
"harvestGains": true,
"homePension": {
"age": 123,
"assetId": "<string>"
},
"pensionContributions": {},
"pensionStartAge": 123,
"pensionYears": 123,
"prepayDebt": true,
"publicPensionShift": 123,
"withdrawalOrder": "PROPORTIONAL"
},
"month": "<string>",
"netWorth": 123
},
"currentChoice": {
"harvestGains": true,
"homePension": {
"age": 123,
"assetId": "<string>"
},
"pensionContributions": {},
"pensionStartAge": 123,
"pensionYears": 123,
"prepayDebt": true,
"publicPensionShift": 123,
"withdrawalOrder": "PROPORTIONAL"
},
"endAge": 123,
"financesRevision": "<string>",
"limits": [
{
"avoidable": true,
"firstYear": 123,
"limit": "PRIVATE_PENSION"
}
],
"planRevision": "<string>",
"publicPensionAges": [
{
"age": 123,
"owner": "SELF"
}
],
"retirement": "<string>",
"retirementAge": 123
},
"error": {
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
},
"result": "SUCCESS"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
PRIVATE_PENSION, FINANCIAL_INCOME, DEPENDENT_INCOME ⌘I
가장 빠른 은퇴
